# kolourpaint

## summary
Drawing is a self-contained drawing software of the system, which can draw in the blank drawing board or fill or alter the existing image by operating the mouse. The drawing tools are rich and the operation is simple.

## Open by
* "**start menu**"![](image/1.png) > "**drawing**"![](image/2.png);
* "**taskbar**" > "**search**"![](image/3.png) > "**drawing**"![](image/4.png) > select "**open**"

![Fig 1 kolourpaint-Day Mode](image/5.png)

<br>

![Fig 2 kolourpaint-Night mode](image/6.png)

## Basic operation
After the drawing tool is opened, the white palette and black brush are displayed by default. The top of the interface is the menu bar and operation bar, the left is the toolbar, and the bottom is the color selection window and status bar. You can use the mouse to select the corresponding drawing tool in the left toolbar, and select the drawing color in the color selection window to draw in the white palette

![Fig 3 kolourpaint](image/7.png)

In **settings** of the menu bar, you can configure keyboard shortcuts for some operations and tools available on the toolbar.

![Fig 4 Configure keyboard shortcuts](image/8.png)

<br>

![Fig 5 Configure toolbar](image/9.png)

## Menu bar
The function description of the menu bar at the top of the drawing is shown in the following table.
Table1 Function description of drawing menu bar
<table>
    <tr>
        <th>first level menu</th><th>second level menu</th><th>description</th>
    </tr>
    <tr>
        <td rowspan="14">file</td><td>New</td><td>create a new palette</td>
    </tr>
    <tr>
        <td>Open</td><td>open an existing image</td>
    </tr>
    <tr>
        <td>Scan</td><td>scan the drawing content</td>
    </tr>
    <tr>
        <td>Get screenshots</td><td>screenshots</td>
    </tr>
    <tr>
        <td>Attribute</td><td>set drawing tool DPI and text segment</td>
    </tr>
    <tr>
        <td>Save</td><td>save the image content of the existing palette</td>
    </tr>
    <tr>
        <td>Save as</td><td>save the contents of the existing palette to the specified path</td>
    </tr>
    <tr>
        <td>Export</td><td>export as picture</td>
    </tr>
    <tr>
        <td>Reload</td><td>load to the last saved location</td>
    </tr>
    <tr>
        <td>Print</td><td>Print drawing content</td>
    </tr>
    <tr>
        <td>Print preview</td><td>preview content before printing</td>
    </tr>
    <tr>
        <td>Mail</td><td>mail sending</td>
    </tr>
    <tr>
        <td>Close</td><td>close the current palette</td>
    </tr>
    <tr>
        <td>Exit</td><td>exit the drawing tool</td>
    </tr>
    <tr>
        <td rowspan="7">Edit</td><td>undo</td><td>return to the previous operation</td>
    </tr>
    <tr>
        <td>Redo</td><td>proceed to the next operation</td>
    </tr>
    <tr>
        <td>Cut</td><td>crop graphics</td>
    </tr>
    <tr>
        <td>Copy</td><td>copy the current drawing</td>
    </tr>
    <tr>
        <td>Paste</td><td>paste the current drawing</td>
    </tr>
    <tr>
        <td>Delete selected range</td><td>delete selected area graphics</td>
    </tr>
    <tr>
        <td>Paste from file</td><td>select a file to paste to the palette</td>
    </tr>
    <tr>
        <td rowspan="9">View</td><td>actual size</td><td>display content actual size</td>
    </tr>
    <tr>
        <td>Suitable for page</td><td>adjust to the appropriate size for browsing</td>
    </tr>
    <tr>
        <td>Fit for page width</td><td>adjust to fit for page width browsing</td>
    </tr>
    <tr>
        <td>Suitable page height</td><td>adjust to the appropriate page height for browsing</td>
    </tr>
    <tr>
        <td>Zoom out</td><td>zoom out</td>
    </tr>
    <tr>
        <td>Zoom</td><td>zoom palette</td>
    </tr>
    <tr>
        <td>Zoom in</td><td>zoom in on the palette</td>
    </tr>
    <tr>
        <td>Display grid</td><td>display palette grid</td>
    </tr>
    <tr>
        <td>Display thumbnails</td><td>display palette thumbnails</td>
    </tr>
    <tr>
        <td rowspan="15">Image</td><td>auto clipping</td><td>auto clipping palette</td>
    </tr>
    <tr>
        <td>Change size/Zoom</td><td>change palette size</td>
    </tr>
    <tr>
        <td>Flip</td><td>flip the palette vertically</td>
    </tr>
    <tr>
        <td>Mirror</td><td>flip the palette horizontally</td>
    </tr>
    <tr>
        <td>Rotate left</td><td>rotate the palette left</td>
    </tr>
    <tr>
        <td>Rotate right</td><td>Rotate palette right</td>
    </tr>
    <tr>
        <td>Rotate</td><td>customize the rotation palette</td>
    </tr>
    <tr>
        <td>Distort</td><td>Distort image</td>
    </tr>
    <tr>
        <td>Reduced to monochrome</td><td>the drawing content becomes one color</td>
    </tr>
    <tr>
        <td>Drop to gray</td><td>the drawing content becomes gray</td>
    </tr>
    <tr>
        <td>Marked as confidential</td><td>the drawing content is ambiguous</td>
    </tr>
    <tr>
        <td>More effects</td><td>set effects, brightness, contrast, etc</td>
    </tr>
    <tr>
        <td>Invert color</td><td>invert color</td>
    </tr>
    <tr>
        <td>Clear</td><td>clear palette</td>
    </tr>
    <tr>
        <td>Draw similar colors</td><td>set the colors of different pixels to be similar</td>
    </tr>
    <tr>
        <td rowspan="5">set</td><td>display toolbar</td><td>display toolbar</td>
    </tr>
    <tr>
        <td>Display status bar</td><td>whether to display the top status bar</td>
    </tr>
    <tr>
        <td>Draw anti aliasing drawing</td><td>Draw anti aliasing drawing</td>
    </tr>
    <tr>
        <td>Configure keyboard shortcuts</td><td>set shortcuts</td>
    </tr>
    <tr>
        <td>Configure toolbar</td><td>set toolbar menu</td>
    </tr>
</table>

## Toolbar
The function description of the toolbar on the left side of the drawing is shown in the following table.
Table2 Function description of Drawing toolbar

| Icon | function | description |  
| ---- | --- | ---- |  
| ![](image/10.png) | select (free form) | flexibly select the image content on the palette |
| ![](image/11.png) | select (rectangle) | select the image content in the fixed rectangle area on the drawing board |
| ![](image/12.png) | select (ellipse) | select the image content in the fixed ellipse area on the palette |
| ![](image/13.png) | text | add text text |
| ![](image/14.png) | line | draw a line |
| ![](image/15.png) | brush | for custom line drawing |
| ![](image/16.png) | eraser | erase the content on the drawing board |
| ![](image/17.png) | brush | to draw thick lines |
| ![](image/18.png) | fill | fill the color in the area with the selected color |
| ![](image/19.png) | color finder | extract the color of this area |
| ![](image/20.png) | zoom | zoom in or out the specified area on the drawing board |
| ![](image/21.png) | color eraser | erase the color in the area, and retain the drawing content |
| ![](image/22.png) | spray | line drawing of spray can type |
| ![](image/23.png) | rounded rectangle | draw rounded rectangle |
| ![](image/24.png) | rectangle | draw a right angle rectangle |
| ![](image/25.png) | polygon | draw multilateral and irregular shapes according to the intersection point clicked by the mouse |
| ![](image/26.png) | ellipse | draw a circle or ellipse |
| ![](image/27.png) | connecting line | draw connecting line |
| ![](image/28.png) | curve | draw a straight line, click a point of the straight line and drag the curve to form a curve |
| ![](image/29.png) | zoom | zoom palette size |

The drawing tool also provides different color choices. Click the corresponding color to switch.

![Fig 6 Color selection](image/30.png)
